import React from 'react'
import { SymbolClose } from './svgs'

export function Search() {
  return (
    <>
      <div className="hidden" id="search" style={{ display: 'none' }}>
        <div>
          <div>
            <div>
              <div style={{ backgroundColor: 'white' }}>
                <div id="searchbox" style={{ padding: '0 60px 0 10px' }}>
                  <form>
                    <input
                      style={{
                        padding: '0 60px 0 10px',
                        margin: '0 -10px',
                        width: '100%',
                      }}
                      placeholder="Vyhledávejte psaním..."
                    />
                  </form>
                  <div
                    style={{
                      cursor: 'pointer',
                      right: 0,
                      position: 'absolute',
                      top: 0,
                      width: 50,
                      height: 50,
                      lineHeight: 50,
                    }}
                    className="close-search"
                  >
                    <div
                      style={{
                        height: '2em',
                        margin: 'auto 0',
                        position: 'relative',
                        top: '50%',
                        marginTop: '-1em',
                      }}
                    >
                      <SymbolClose color="gray" size="2em" />
                    </div>
                  </div>
                </div>
                <div id="searchresults"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div id="search-overlay" style={{ display: 'none' }}></div>
      <script
        dangerouslySetInnerHTML={{
          __html: `
  function debounce(func, wait, immediate) {
    var timeout;
    return function() {
      var context = this, args = arguments;
      var later = function() {
        timeout = null;
        if (!immediate) func.apply(context, args);
      };
      var callNow = immediate && !timeout;
      clearTimeout(timeout);
      timeout = setTimeout(later, wait);
      if (callNow) func.apply(context, args);
    };
  };

  var csc;

  var myCallback = function() {
    var doRender = function() {
      var options = {};
      options[google.search.Search.RESTRICT_EXTENDED_ARGS] = {
        'as_sitesearch': 'ok1kvk.cz'
      };

      csc = new google.search.CustomSearchControl('003089460452505374651:q5prtsadbio', options);
      csc.setLinkTarget (google.search.Search.LINK_TARGET_SELF);

      var drawOptions = new google.search.DrawOptions();
      drawOptions.enableSearchResultsOnly();
      csc.draw("searchresults", drawOptions);

      var s = $("#searchbox input").val()
      if(s != "")
        csc.execute(s);
    }
    if (document.readyState == 'complete') {
      doRender();
    } else {
      google.setOnLoadCallback(doRender, true);
    }
  };

  window.__gcse = {
    parsetags: 'explicit',
    callback: myCallback
  };

  (function() {
    var cx = '003089460452505374651:q5prtsadbio';
    var gcse = document.createElement('script'); gcse.type = 'text/javascript';
    gcse.async = true;
    gcse.src = 'https://cse.google.com/cse.js?cx=' + cx;
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(gcse, s);
  })();

  $("#searchbox form").submit(function(e) {
    e.preventDefault();
  });

  $("#searchbox form").on("input", debounce(function(e) {
    var s = $("#searchbox input").val()
    if(s == "") {
      $("#searchresults").html("");
      myCallback();
    } else
      csc.execute(s);
  },250));

  (function() {
    var searchHeight = $('#search').height();
    var adjustHeight = function() {
      var newh = $('#search').height();
      if(newh != searchHeight) {
        searchHeight = newh;
        $("#all").height("auto");
        if(!$("#search").hasClass("hidden") && $("#all").height() < searchHeight+20+194) {
          $("#all").height(searchHeight+20+194);
        }
      }
    }
    // Resize page on searching
    $("#search > div").bind('DOMSubtreeModified', adjustHeight);

    // Search showing
    $(".search-icon").on("click", function() {
      $("#search").show();
      setTimeout(function() {
        $("#search").removeClass("hidden");
        $("body").append('');
        $("#search-overlay").show().addClass("shown");
        adjustHeight();
        setTimeout(function() {
          $("#searchbox input").focus();
        }, 320);
      },0);
    });

    // Search hiding on search overlay click
    $("#search-overlay, .close-search").click(function() {
      $("#search-overlay").removeClass("shown");
      $("#search").addClass("hidden");
      setTimeout(function() {
        adjustHeight();
        $("#search").hide();
      },320);
    });
  })();
  `,
        }}
      />
    </>
  )
}
