import React from 'react'
import { BaseBody } from '../partials/base-body'
import { List as ListPartial } from '../partials/list'
import { renderToString } from '../render-to-string'

export default {
  type: 'template',
  ext: 'html',
  value: props => {
    return renderToString(
      <BaseBody config={props.config}>
        <ListPartial {...props} />
      </BaseBody>,
      { ...props, head: <meta property="og:type" content="website" /> },
    )
  },
}
